baz_native_callback_x Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_native_callback.h>`

Inheritance diagram for baz_native_callback_x:
[legend]

## Public Member Functions

| ~baz_native_callback_x ()
void | set_size (int size)
void | set_target (baz_native_callback_target_sptr target)
void | set_threshold_enable (bool enable)
void | set_threshold_level (float threshold_level)
int | size () const
bool | threshold_enable () const
float | threshold_level () const
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

baz_native_callback_x_sptr | baz_make_native_callback_x (int size, baz_native_callback_target_sptr target, bool threshold_enable, float threshold_level)
| Return a shared_ptr to a new instance of baz_native_callback_x. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_native_callback_x()

baz_native_callback_x::~baz_native_callback_x | ( |  | ) |

## Member Function Documentation

## set_size()

void baz_native_callback_x::set_size | ( | int | size | ) |

## set_target()

void baz_native_callback_x::set_target | ( | baz_native_callback_target_sptr | target | ) |

## set_threshold_enable()

void baz_native_callback_x::set_threshold_enable | ( | bool | enable | ) |

## set_threshold_level()

void baz_native_callback_x::set_threshold_level | ( | float | threshold_level | ) |

## size()

int baz_native_callback_x::size | ( |  | ) | const

inline

## threshold_enable()

bool baz_native_callback_x::threshold_enable | ( |  | ) | const

inline

## threshold_level()

float baz_native_callback_x::threshold_level | ( |  | ) | const

inline

## work()

int baz_native_callback_x::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## baz_make_native_callback_x

baz_native_callback_x_sptr baz_make_native_callback_x | ( | int | size,
|  | baz_native_callback_target_sptr | target,
|  | bool | threshold_enable,
|  | float | threshold_level
| ) |  |

friend

Return a shared_ptr to a new instance of baz_native_callback_x.

To avoid accidental use of raw pointers, baz_native_callback_x's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_native_callback.h